using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("导航：隐患原因")]
    public class T_SK_HIDDEN_DANGER_CONFIRM_REASON : MesEntityBase
    {
        /// <summary>
        /// 隐患确认表
        /// </summary>
        [Description("隐患确认表")]
        [DataFieldForeignKey("Nav_Confirm", "Nav_Reasons")]
        public Guid HIDDEN_DANGER_CONFIRM_ID { get; set; }

        /// <summary>
        /// 导航：隐患确认表
        /// </summary>
        [Description("导航：隐患确认表")]
        public virtual T_SK_HIDDEN_DANGER_CONFIRM Nav_Confirm { get; set; }
        [Description("隐患原因")]
        [DataFieldForeignKey("Nav_Reason")]
        public Guid? REASON_ID { get; set; }

        [Description("导航属性：隐患原因")]
        public T_SK_HIDDEN_REASON Nav_Reason { get; set; }
    }
}
